Skip to Content
Mobile top up

Check a top-up by ref

GET
/v3/mobile/check-ref/{ref}

Status of one top-up by your ref. Use it to recover after a timeout or a DUPLICATED_REF answer.

Authorization

AccessToken
headerX-Access-Token<token>

Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.

Path Parameters

ref*string
Length1 <= length <= 64

Response Body

The top-up

application/json
  1. response
success*true
Value intrue
data*
meta*
requestId*string
Example Request
curl -X GET 'https://api.flexyliktelecom.com/v3/mobile/check-ref/order-10293'
Example Response
{  "success": true,  "data": {    "_id": "F00012345",    "ref": "order-10293",    "status": "PENDING",    "plan_code": "PREPAID_DJEZZY",    "MSSIDN": "0700000009",    "topup_amount": 500,    "balance_amount": 500,    "offer_name": "string",    "debt_amount": 100,    "debt_message": "string",    "debt_options": [      {        "choice": "PAY_ALL",        "amount": 600,        "available": true      }    ],    "debt_expires_at": "string",    "refund_message": "string",    "suggested_offers": [      {        "typename": "string",        "plan_code": "string",        "amount": 0      }    ],    "created_at": "2026-11-15T10:30:00.000Z"  },  "meta": {    "timestamp": "2026-11-15T10:30:00.000Z"  },  "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}